(* [[file:~/QCaml/top/install_printers.org::*Intall printers][Intall printers:3]] *)
let printers =
  [
    "Mo.Localization.pp" ;
    "Particles.Element.pp" ;
    "Particles.Nuclei.pp" ;
    "Particles.Zmatrix.pp" ;
    "Perturbation.Mp2.pp" ;
    "Simulation.pp" ;
    
  ]

let eval_exn str =
  let lexbuf = Lexing.from_string str in
  let phrase = !Toploop.parse_toplevel_phrase lexbuf in
  Toploop.execute_phrase false Format.err_formatter phrase


let rec install_printers = function
  | [] -> eval_exn "#require \"lacaml.top\";;"
  | printer :: printers ->
      let cmd = Printf.sprintf "#install_printer %s;;" printer in
      eval_exn cmd && install_printers printers

let () =
  if not (install_printers printers) then
    Format.eprintf "Problem installing QCaml-printers@."
(* Intall printers:3 ends here *)
